Package owl.ltl

## Class EquivalenceClass

- java.lang.Object
- - owl.ltl.EquivalenceClass

- All Implemented Interfaces:
    `LtlLanguageExpressible`

      public class EquivalenceClass
      extends Object
      implements LtlLanguageExpressible

  EquivalenceClass interface. The general contract of this interface is: If two implementing objects were created from different factories, implies and equals have to return `false`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EquivalenceClass​(EquivalenceClassFactory factory, Formula representative)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EquivalenceClass` | `and​(EquivalenceClass other)` | See `EquivalenceClassFactory.conjunction(java.util.Collection)`.
    `BitSet` | `atomicPropositions()` | See `EquivalenceClassFactory.atomicPropositions(EquivalenceClass, boolean)`.
    `BitSet` | `atomicPropositions​(boolean includeNested)` | See `EquivalenceClassFactory.atomicPropositions(EquivalenceClass, boolean)`.
    `EquivalenceClassFactory` | `factory()` |
    `boolean` | `implies​(EquivalenceClass other)` | See `EquivalenceClassFactory.implies(EquivalenceClass, EquivalenceClass)`.
    `boolean` | `isFalse()` |
    `boolean` | `isTrue()` |
    `EquivalenceClass` | `language()` |
    `Set<Formula.ModalOperator>` | `modalOperators()` | See `EquivalenceClassFactory.modalOperators(EquivalenceClass)`.
    `EquivalenceClass` | `or​(EquivalenceClass other)` | See `EquivalenceClassFactory.disjunction(java.util.Collection)`.
    `Formula` | `representative()` |
    `EquivalenceClass` | `substitute​(Function<? super Formula.ModalOperator,​? extends Formula> substitution)` | See `EquivalenceClassFactory.substitute(EquivalenceClass, Function)`.
    `EquivalenceClass` | `temporalStep​(BitSet valuation)` | See `EquivalenceClassFactory.temporalStep(EquivalenceClass, BitSet)`.
    `ValuationTree<EquivalenceClass>` | `temporalStepTree()` |
    `<T> ValuationTree<T>` | `temporalStepTree​(Function<EquivalenceClass,​Set<T>> mapper)` |
    `EquivalenceClass` | `temporalStepUnfold​(BitSet valuation)` | See `EquivalenceClassFactory.temporalStepUnfold(EquivalenceClass, BitSet)`.
    `String` | `toString()` |
    `double` | `trueness()` |
    `EquivalenceClass` | `unfold()` | See `EquivalenceClassFactory.unfold(EquivalenceClass)`.
    `EquivalenceClass` | `unfoldTemporalStep​(BitSet valuation)` | See `EquivalenceClassFactory.unfoldTemporalStep(EquivalenceClass, BitSet)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EquivalenceClass

          protected EquivalenceClass​(EquivalenceClassFactory factory,
                                     @Nullable
                                     Formula representative)

  - ### Method Detail

    - #### representative

          @Nullable
          public final Formula representative()

    - #### factory

          public final EquivalenceClassFactory factory()

    - #### isFalse

          public final boolean isFalse()

    - #### isTrue

          public final boolean isTrue()

    - #### atomicPropositions

          public final BitSet atomicPropositions()

      See `EquivalenceClassFactory.atomicPropositions(EquivalenceClass, boolean)`.

    - #### atomicPropositions

          public final BitSet atomicPropositions​(boolean includeNested)

      See `EquivalenceClassFactory.atomicPropositions(EquivalenceClass, boolean)`.

    - #### modalOperators

          public final Set<Formula.ModalOperator> modalOperators()

      See `EquivalenceClassFactory.modalOperators(EquivalenceClass)`.

    - #### implies

          public final boolean implies​(EquivalenceClass other)

      See `EquivalenceClassFactory.implies(EquivalenceClass, EquivalenceClass)`.

    - #### and

          public final EquivalenceClass and​(EquivalenceClass other)

      See `EquivalenceClassFactory.conjunction(java.util.Collection)`.

    - #### or

          public final EquivalenceClass or​(EquivalenceClass other)

      See `EquivalenceClassFactory.disjunction(java.util.Collection)`.

    - #### substitute

          public final EquivalenceClass substitute​(Function<? super Formula.ModalOperator,​? extends Formula> substitution)

      See `EquivalenceClassFactory.substitute(EquivalenceClass, Function)`.
      Parameters:
        `substitution` - The substitution function. It is only called on modal operators.

    - #### temporalStep

          public final EquivalenceClass temporalStep​(BitSet valuation)

      See `EquivalenceClassFactory.temporalStep(EquivalenceClass, BitSet)`.
      Parameters:
        `valuation` - The assignment for the atomic propositions.

    - #### temporalStepTree

          public final ValuationTree<EquivalenceClass> temporalStepTree()

    - #### temporalStepTree

          public final <T> ValuationTree<T> temporalStepTree​(Function<EquivalenceClass,​Set<T>> mapper)

    - #### temporalStepUnfold

          public final EquivalenceClass temporalStepUnfold​(BitSet valuation)

      See `EquivalenceClassFactory.temporalStepUnfold(EquivalenceClass, BitSet)`.
      Parameters:
        `valuation` - The assignment for the atomic propositions.

    - #### unfold

          public final EquivalenceClass unfold()

      See `EquivalenceClassFactory.unfold(EquivalenceClass)`.

    - #### unfoldTemporalStep

          public final EquivalenceClass unfoldTemporalStep​(BitSet valuation)

      See `EquivalenceClassFactory.unfoldTemporalStep(EquivalenceClass, BitSet)`.
      Parameters:
        `valuation` - The assignment for the atomic propositions.

    - #### trueness

          public final double trueness()

    - #### language

          public EquivalenceClass language()

      Specified by:
        `language` in interface `LtlLanguageExpressible`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`